Bug 168 - RFE: Browser needs some adblocking
: RFE: Browser needs some adblocking
Status: CLOSED WONTFIX
Product: Browser
User interface
: unspecified
: All Maemo
: High enhancement (vote)
: ---
Assigned To: Alexandru Cicortas
: browser-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-29 22:33 UTC by Simon Budig
Modified: 2007-09-02 23:43 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Simon Budig (reporter) 2005-10-29 22:33:19 UTC
The Browser urgently needs some adblocking functionality. I am not sure but it
feels like all that flashing stuff on the screen disturbs more on the small
screen estate of the 770. But then maybe I am no longer accustomed to the
Web-without-adblocker...
Comment 1 Timo Steuerwald 2005-10-31 11:10:09 UTC
Yes, you are absolutely right. I further think a pop-up blocker is also very
urgent required. The common user will be confused by the current pop-up handling.
These will pop up and fill the whole screen, equal as a common browser window.
On common devices, these pop-ups allow the user to still see parts of the
originally browsed site. There, the user can click the originally window back to
the front. I agree that on such small devices pop-ups also must fill the whole
screen to display all necessary information, but given that there must be a
nifty way to control this. 

Because internet browsing is at least a if not *the* main use case of the
device, I think this is a top priority enhancement. Therefore I have raised the
priority to P1.
Comment 2 Jorma Virkkunen nokia 2005-11-01 12:21:47 UTC
Reassigning.
Comment 3 Victor Toni 2005-11-04 02:24:03 UTC
Having mini-Mozilla with the adblock extension would be perfect.
Comment 4 Jorma Virkkunen nokia 2005-11-04 14:09:36 UTC
Nokia 770 has the option to block pop-up windows. However, there is no
dedicated
support for blocking advertisements (e.g. those implemented with Flash).
Resolving as WONTFIX with regard to Nokia 770.
To be considered when specifying the next products.